/* eslint-disable no-undef */
import {extendInclude, extendRule} from "../../utils/common";

/**
 * @return {string}
 */

export default {
  onChange: ({value,colInfo,getFieldValue,setFieldValue,setFieldEditable}) => {


  },
  onFetchAutoFilter:({colInfo,params,getFieldValue})=>{
    if(colInfo.FIELD_NAME=='Nav_WorkStage.NAME') {
      extendRule(params, 'TYPE', 1,1);
       extendRule(params, 'ENABLE_STATUS', 1,0);
    }

  },
  onBeforeEdit:({isNew,getFieldValue,setFieldValueByBatch,setFieldEditable})=>{
    if(isNew){
      const temps=[];
      temps.push({field:'TYPE',value:2})
      setFieldValueByBatch(temps);
    }

  },
  onBeforeSave:({data,getFieldValue,setFieldValue})=>{
  },
}
